#/**
#         ogr GetParentPath [ str_repo | int_ndisk int_nfilesys ] path_filepath
#@brief   Metafunción que devuelve el camino del directorio padre.
#@see     ogr GetPath
#@version 0.9 - Pruebas con OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2009-09-29
#*/ ##
local PARENT
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME [ str_repo | int_ndisk int_nfilesys ] path_filepath" \
           "$FUNCNAME \"/mnt/sda1/windows/system32\"  ==>  /mnt/sda1/WINDOWS" \
           "$FUNCNAME REPO /etc/fstab  ==>  /opt/opengnsys/images/etc" \
           "$FUNCNAME 1 1 \"/windows/system32\"  ==>  /mnt/sda1/WINDOWS"
    return
fi
case $# in
    1)	PARENT=$(dirname "$1") ;;
    2)	PARENT="$1 $(dirname "/$2")" ;;
    3)	PARENT="$1 $2 $(dirname "/$3")" ;;
    *)	ogr RaiseError $OG_ERR_FORMAT
        return $? ;;
esac
ogr GetPath $PARENT
